Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 218)
@@ -506,133 +546,133 @@
       end if 
       if (vNam(varn) .EQ. "w" .OR. isStrSubset(vNam(varn), "w_"))then
-         z_w = f->$vNam(varn+1)$
+         z_w = f_att->$vNam(varn+1)$
          break
       else
          if (vNam(varn) .EQ. "wpup" .OR. isStrSubset(vNam(varn), "wpup_"))then
-            z_w = f->$vNam(varn+1)$
+            z_w = f_att->$vNam(varn+1)$
             break
          else
             if(vNam(varn) .EQ. "wsus" .OR. isStrSubset(vNam(varn), "wsus_"))then
-               z_w = f->$vNam(varn+1)$
+               z_w = f_att->$vNam(varn+1)$
                break
             else
                if(vNam(varn) .EQ. "wu" .OR. isStrSubset(vNam(varn), "wu_"))then
-                  z_w = f->$vNam(varn+1)$ 
+                  z_w = f_att->$vNam(varn+1)$ 
                   break
                else
                   if(vNam(varn) .EQ. "wpvp" .OR. isStrSubset(vNam(varn), "wpvp_"))then
-                     z_w = f->$vNam(varn+1)$ 
+                     z_w = f_att->$vNam(varn+1)$ 
                      break
                   else   
                      if(vNam(varn) .EQ. "wsvs" .OR. isStrSubset(vNam(varn), "wsvs_"))then
-                        z_w = f->$vNam(varn+1)$ 
+                        z_w = f_att->$vNam(varn+1)$ 
                         break
                      else
                         if(vNam(varn) .EQ. "wv" .OR. isStrSubset(vNam(varn), "wv_"))then
-                           z_w = f->$vNam(varn+1)$ 
+                           z_w = f_att->$vNam(varn+1)$ 
                            break
                         else
                            if(vNam(varn) .EQ. "wptpp" .OR. isStrSubset(vNam(varn), "wptpp_"))then
-                              z_w = f->$vNam(varn+1)$ 
+                              z_w = f_att->$vNam(varn+1)$ 
                               break
                            else
                               if(vNam(varn) .EQ. "wspts" .OR. isStrSubset(vNam(varn), "wspts_"))then
-                                 z_w = f->$vNam(varn+1)$ 
+                                 z_w = f_att->$vNam(varn+1)$ 
                                  break
                               else
                                  if(vNam(varn) .EQ. "wpt" .OR. isStrSubset(vNam(varn), "wpz_"))then
-                                    z_w = f->$vNam(varn+1)$
+                                    z_w = f_att->$vNam(varn+1)$
                                     break
                                  else
                                     if(vNam(varn) .EQ. "wsptsBC" .OR. isStrSubset(vNam(varn), "wsptsBC_"))then
-                                       z_w = f->$vNam(varn+1)$ 
+                                       z_w = f_att->$vNam(varn+1)$ 
                                        break
                                     else
                                        if(vNam(varn) .EQ. "wptBC" .OR. isStrSubset(vNam(varn), "wptBC_"))then
-                                          z_w = f->$vNam(varn+1)$ 
+                                          z_w = f_att->$vNam(varn+1)$ 
                                           break
                                        else
                                           if(vNam(varn) .EQ. "wpvptp" .OR. isStrSubset(vNam(varn), "wpvptp_"))then
-                                             z_w = f->$vNam(varn+1)$ 
+                                             z_w = f_att->$vNam(varn+1)$ 
                                              break
                                           else
                                              if(vNam(varn) .EQ. "wsvpts" .OR. isStrSubset(vNam(varn), "wsvpts_"))then
-                                                z_w = f->$vNam(varn+1)$
+                                                z_w = f_att->$vNam(varn+1)$
                                                 break
                                              else
                                                 if(vNam(varn) .EQ. "wvpt" .OR. isStrSubset(vNam(varn), "wvpt_"))then
-                                                   z_w = f->$vNam(varn+1)$ 
+                                                   z_w = f_att->$vNam(varn+1)$ 
                                                    break
                                                 else
                                                    if(vNam(varn) .EQ. "wpqp" .OR. isStrSubset(vNam(varn), "wpqp_"))then
-                                                      z_w = f->$vNam(varn+1)$ 
+                                                      z_w = f_att->$vNam(varn+1)$ 
                                                       break
                                                    else
                                                       if(vNam(varn) .EQ. "wsqs" .OR. isStrSubset(vNam(varn), "wsqs_"))then
-                                                         z_w = f->$vNam(varn+1)$ 
+                                                         z_w = f_att->$vNam(varn+1)$ 
                                                          break
                                                       else
                                                          if(vNam(varn) .EQ. "wq" .OR. isStrSubset(vNam(varn), "wq_"))then
-                                                            z_w = f->$vNam(varn+1)$ 
+                                                            z_w = f_att->$vNam(varn+1)$ 
                                                             break
                                                          else
                                                             if(vNam(varn) .EQ. "wpqvp" .OR. isStrSubset(vNam(varn), "wpqvp_"))then
-                                                               z_w = f->$vNam(varn+1)$ 
+                                                               z_w = f_att->$vNam(varn+1)$ 
                                                                break
                                                             else
                                                                if(vNam(varn) .EQ. "wsqvs" .OR. isStrSubset(vNam(varn), "wsqvs_"))then
-                                                                  z_w = f->$vNam(varn+1)$ 
+                                                                  z_w = f_att->$vNam(varn+1)$ 
                                                                   break
                                                                else
                                                                   if(vNam(varn) .EQ. "wqv" .OR. isStrSubset(vNam(varn), "wqv_"))then
-                                                                     z_w = f->$vNam(varn+1)$ 
+                                                                     z_w = f_att->$vNam(varn+1)$ 
                                                                      break
                                                                   else
                                                                      if(vNam(varn) .EQ. "wpsp" .OR. isStrSubset(vNam(varn), "wpsp_"))then
-                                                                        z_w = f->$vNam(varn+1)$
+                                                                        z_w = f_att->$vNam(varn+1)$
                                                                         break 
                                                                      else
                                                                         if(vNam(varn) .EQ. "wsss" .OR. isStrSubset(vNam(varn), "wsss_"))then
-                                                                           z_w = f->$vNam(varn+1)$
+                                                                           z_w = f_att->$vNam(varn+1)$
                                                                            break 
                                                                         else
                                                                            if(vNam(varn) .EQ. "ws" .OR. isStrSubset(vNam(varn), "ws_"))then
-                                                                              z_w = f->$vNam(varn+1)$
+                                                                              z_w = f_att->$vNam(varn+1)$
                                                                               break 
                                                                            else
                                                                               if(vNam(varn) .EQ. "wpsap" .OR. isStrSubset(vNam(varn), "wpsap_"))then
-                                                                                 z_w = f->$vNam(varn+1)$
+                                                                                 z_w = f_att->$vNam(varn+1)$
                                                                                  break 
                                                                               else
                                                                                  if(vNam(varn) .EQ. "wssas" .OR. isStrSubset(vNam(varn), "wssas_") )then
-                                                                                    z_w = f->$vNam(varn+1)$
+                                                                                    z_w = f_att->$vNam(varn+1)$
                                                                                     break 
                                                                                  else
                                                                                     if(vNam(varn) .EQ. "wsa" .OR. isStrSubset(vNam(varn), "wsa_"))then
-                                                                                       z_w = f->$vNam(varn+1)$
+                                                                                       z_w = f_att->$vNam(varn+1)$
                                                                                        break 
                                                                                     else
                                                                                        if(vNam(varn) .EQ. "wses" .OR. isStrSubset(vNam(varn), "wses_"))then
-                                                                                          z_w = f->$vNam(varn+1)$
+                                                                                          z_w = f_att->$vNam(varn+1)$
                                                                                           break 
                                                                                        else
                                                                                           if(vNam(varn) .EQ. "ws2" .OR. isStrSubset(vNam(varn), "ws2_"))then
-                                                                                             z_w = f->$vNam(varn+1)$
+                                                                                             z_w = f_att->$vNam(varn+1)$
                                                                                              break 
                                                                                           else
                                                                                              if(vNam(varn) .EQ. "ws3" .OR. isStrSubset(vNam(varn), "ws3_"))then
-                                                                                                z_w = f->$vNam(varn+1)$
+                                                                                                z_w = f_att->$vNam(varn+1)$
                                                                                                 break 
                                                                                              else
                                                                                                 if(vNam(varn) .EQ. "Sw" .OR. isStrSubset(vNam(varn), "Sw_"))then
-                                                                                                   z_w = f->$vNam(varn+1)$
+                                                                                                   z_w = f_att->$vNam(varn+1)$
                                                                                                    break 
                                                                                                 else
                                                                                                    if(vNam(varn) .EQ. "ws2pts".OR. isStrSubset(vNam(varn), "ws2pts_") )then
-                                                                                                      z_w = f->$vNam(varn+1)$
+                                                                                                      z_w = f_att->$vNam(varn+1)$
                                                                                                       break 
                                                                                                    else
                                                                                                       if(vNam(varn) .EQ. "wspts2" .OR. isStrSubset(vNam(varn), "wspts2_"))then
-                                                                                                         z_w = f->$vNam(varn+1)$
+                                                                                                         z_w = f_att->$vNam(varn+1)$
                                                                                                          break                                            
                                                                                                       end if
@@ -685,5 +725,5 @@
          if (check)then
             co=co+1
-            z = f->$vNam(varn+1)$
+            z = f_att->$vNam(varn+1)$
 	    if (getvardims(z) .EQ. "zu")then
 	       z_u = z
@@ -718,12 +758,30 @@
       do varn = dim-1,0,1
          if (vNam(varn) .EQ. "zu_3d")then
-            z_u = f->zu_3d  
+            z_u = f_att->zu_3d  
             dimz  = dimsizes(z_u)         
          else 
             if (vNam(varn) .EQ. "zw_3d")then
-               z_w = f->zw_3d
+               z_w = f_att->zw_3d
                dimz  = dimsizes(z_w)
             end if
          end if
+	 if (vNam(varn) .EQ. "x")then
+	    x = f_att->x
+	    dimx=dimsizes(x)
+	 else
+	    if (vNam(varn) .EQ. "xu")then
+	       x = f_att->xu
+	       dimx=dimsizes(x)
+	    end if
+	 end if
+	 if (vNam(varn) .EQ. "y")then
+	    y = f_att->y
+	    dimy=dimsizes(y)
+	 else
+	    if (vNam(varn) .EQ. "yv")then
+	       y = f_att->yv
+	       dimy=dimsizes(y)
+	    end if
+	 end if
       end do
 
@@ -733,13 +791,16 @@
       print(" ")
       print("Program aborts - there are no z-variables available")
-      print("Please be sure if 'plot_3d' is set correctly")
+      print("Be sure if 'plot_3d' is set correctly")
       print(" ")
       exit
    end if
    
-   t_all = f->time
+   if (prof3d .EQ. 1)then
+      t_all = f[:]->time
+   else
+      t_all = f[:]->time(1:) 
+   end if
    nt    = dimsizes(t_all)
    delta_t=t_all(nt-1)/nt
-
 
    ; ****************************************************	
@@ -754,5 +815,5 @@
          print("'start_time_step' = "+ start_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
-         print("Please select another 'start_time_step'")
+         print("Select another 'start_time_step'")
          print(" ")
          exit
@@ -766,5 +827,5 @@
    end if
 
-   do i=0,nt-1     
+   do i=0,nt-1    
       if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
@@ -776,5 +837,5 @@
       print("'start_time_step' = "+ start_time_step +"h is invalid")
       print(" ")
-      print("Please select another 'start_time_step'")
+      print("Select another 'start_time_step'")
       print(" ")
       exit
@@ -792,5 +853,5 @@
          print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
-         print("Please select another 'end_time_step'")  
+         print("Select another 'end_time_step'")  
          print(" ")
          exit
@@ -800,5 +861,5 @@
          print("'end_time_step' = "+ end_time_step +"h is lower than 'start_time_step' = "+start_time_step+"h")
          print(" ")
-         print("Please select another 'start_time_step' or 'end_time_step'")
+         print("Select another 'start_time_step' or 'end_time_step'")
          print(" ")
          exit
@@ -816,5 +877,5 @@
       print("'end_time_step' = "+ end_time_step +"h is invalid")
       print(" ")
-      print("Please select another 'end_time_step'")
+      print("Select another 'end_time_step'")
       print(" ")
       exit
@@ -838,5 +899,5 @@
    do p=start_time_step,end_time_step
       if (t_all(p)/3600 .LT. 1) then
-         legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,2,True)
+         legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,3,True)
       else
          legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,0,True)
@@ -872,21 +933,23 @@
    res@pmLegendWidthF          = 0.12
    res@pmLegendHeightF         = 0.04*(end_time_step-start_time_step+1)
-   res@lgLabelFontHeightF     = .02
+   res@lgLabelFontHeightF     = font_size
    res@lgTitleString      = "Time [h]"
-   res@lgTitleFontHeightF = 0.02   
-   res@txFontHeightF      = 0.02
-   res@tiXAxisFontHeightF = 0.02
-   res@tiYAxisFontHeightF = 0.02
+   res@lgTitleFontHeightF = font_size   
+   res@txFontHeightF      = font_size
+   res@tiXAxisFontHeightF = font_size
+   res@tiYAxisFontHeightF = font_size
+   res@tmXBLabelFontHeightF = font_size
+   res@tmYLLabelFontHeightF = font_size
    res@tiXAxisString      = " " 
    if ( black .eq. 0 ) then  
       res@xyLineColors = ispan(2,237,235/np)
    end if
-   if (norm .EQ. 1)then
+   if (norm_z .EQ. 1)then
       res@tiYAxisString      = "Height [m]"
    else   
-      res@tiYAxisString      = "Height / "+norm+" [m]"
+      res@tiYAxisString      = "Height / "+norm_z+" [m]"
    end if
     
-   if (logy .EQ. 1) then
+   if (log_z .EQ. 1) then
       res@trYLog = True 
    end if
@@ -902,10 +965,13 @@
       end if       
    end if 
+   
+   res@tmXBMinorPerMajor = 4
+   res@tmYLMinorPerMajor = 4
 
    resP                        = True
    resP@txFont                 = "helvetica"
-   resP@txString               = f@title
+   resP@txString               = f_att@title
    resP@txFuncCode             = "~"
-   resP@txFontHeightF          = 0.014
+   resP@txFontHeightF          = 0.015
 
    ; ***************************************************
@@ -928,5 +994,5 @@
    ; *************************************************** 
 
-   if (logy .EQ. 1)then
+   if (log_z .EQ. 1)then
       if (min_z .EQ. -1)then
          if (isvar("z_u"))then
@@ -1016,6 +1082,6 @@
    end if
 
-   min_z=min_z/norm
-   max_z=max_z/norm
+   min_z=min_z/norm_z
+   max_z=max_z/norm_z
 
    ; ***************************************************
@@ -1030,5 +1096,5 @@
    end do  
    
-   if (logy .EQ. 1) then
+   if (log_z .EQ. 1) then
       data   = new((/dim,(end_time_step-start_time_step)+1,dimz-1/),float) 
       data_0 = new((/(end_time_step-start_time_step)+1,dimz-1/),float)
@@ -1252,5 +1318,74 @@
       maxiwpeodz =-1.E27
    end if
- 
+
+   if (prof3d .EQ. 1)then
+
+   if (end_x .EQ. -1) then 
+      end_x=dimx-2
+   end if
+   if (end_y .EQ. -1)then
+      end_y=dimy-2
+   end if
+   if (start_x .LT. 0)then
+      print(" ")
+      print("'start_x' is lower than 0 and set to 0")
+      print(" ")
+      start_x=0
+   end if
+   if (start_x .GT. dimx-1)then
+      print(" ")
+      print("'start_x' is greater than available x-range and set to maximum of x-range (excluding ghostpoint)")
+      print(" ")
+      start_x=dimx-2
+   end if
+   if (end_x .EQ. dimx-1)then
+      print(" ")
+      print("'end_x' = "+end_x+" and includes the ghostpoint")
+      print(" ")
+   end if
+   if (end_x .GT. dimx-1)then
+      print(" ")
+      print("'end_x' = "+end_x+" is greater than available x-range and set to maximum of x-range (excluding ghostpoint)")
+      print(" ")
+      end_x=dimx-2
+   end if
+   if (end_x .LT. start_x)then
+      print(" ")
+      print("'end_x' = "+end_x+" is lower than 'start_x' = "+start_x+" and set to maximum of x-range (excluding ghostpoint)")
+      print(" ")
+      end_x=dimx-2
+   end if
+   if (start_y .LT. 0)then
+      print(" ")
+      print("'start_y' is lower than 0 and set to 0")
+      print(" ")
+      start_y=0
+   end if
+   if (start_y .GT. dimy-1)then
+      print(" ")
+      print("'start_y' is greater than available y-range and set to maximum of y-range (excluding ghostpoint)")
+      print(" ")
+      start_x=dimy-2
+   end if
+   if (end_y .EQ. dimy-1)then
+      print(" ")
+      print("'end_y' = "+end_y+" and includes the ghostpoint")
+      print(" ")
+   end if
+   if (end_y .GT. dimy-1)then
+      print(" ")
+      print("'end_y' = "+end_y+" is greater than available y-range and set to maximum of y-range (excluding ghostpoint)")
+      print(" ")
+      end_x=dimy-2
+   end if
+   if (end_y .LT. start_y)then
+      print(" ")
+      print("'end_y' = "+end_y+" is lower than 'start_y' = "+start_y+" and set to maximum of y-range (excluding ghostpoint)")
+      print(" ")
+      end_y=dimy-2
+   end if
+   
+   end if
+  
    n_o=0
    count_var=0
@@ -1278,6 +1413,7 @@
          if (com) then      
             if (prof3d .EQ. 0) then
-               temp = f->$vNam(varn)$
-               if (logy .EQ. 1) then
+               temp = f[:]->$vNam(varn)$(1:,:)
+	       temp_att = f_att->$vNam(varn)$ 
+               if (log_z .EQ. 1) then
                   data(varn,:,:) = temp(start_time_step:end_time_step,1:dimz-1)
                else
@@ -1285,9 +1421,11 @@
                end if
             else
-               if (logy .EQ. 1) then
+               if (log_z .EQ. 1) then
                   do i=1,dimz-1
                      do j=start_time_step,end_time_step
-                        temp= f->$vNam(varn)$(j,i,:,:)
-                        data(varn,j-start_time_step,i-1) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                        temp= f[:]->$vNam(varn)$
+			temp_att = f_att->$vNam(varn)$ 
+			data_temp = temp(j,i,start_y:end_y,start_x:end_x)
+			data(varn,j-start_time_step,i-1) = dim_avg_Wrap(dim_avg_Wrap(data_temp))
                      end do
                   end do
@@ -1295,6 +1433,8 @@
                   do i=0,dimz-1
                      do j=start_time_step,end_time_step
-                        temp= f->$vNam(varn)$(j,i,:,:)
-                        data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                        temp= f[:]->$vNam(varn)$
+			temp_att = f_att->$vNam(varn)$ 
+			data_temp = temp(j,i,start_y:end_y,start_x:end_x)
+                        data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(data_temp))
                      end do
                   end do
@@ -1304,8 +1444,8 @@
                print(" ")
             end if                 
-            unit(varn) = temp@units
+            unit(varn) = temp_att@units
             if (n_o .GT. number_comb-1) then
                print(" ")
-               print("Please set 'number_comb' to the number of overlaying variables ('c_var' = "+c_var+")")
+               print("Set 'number_comb' to the number of overlaying variables ('c_var' = "+c_var+")")
                print(" ")
                exit
@@ -1318,5 +1458,4 @@
 
       if(check) then
-
          if (isStrSubset(vNam(varn),"_0" ))then
             print(" ")
@@ -1329,11 +1468,14 @@
 
          if (prof3d .EQ. 0) then
-            temp = f->$vNam(varn)$
+            temp = f[:]->$vNam(varn)$(1:,:)
+	    temp_att = f_att->$vNam(varn)$ 
          else
-             if (logy .EQ. 1) then
+             if (log_z .EQ. 1) then
                do i=1,dimz-1
                   do j=start_time_step,end_time_step
-                     temp= f->$vNam(varn)$(j,i,:,:)
-                     data(varn,j-start_time_step,i-1) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                     temp= f[:]->$vNam(varn)$(j,i,start_y:end_y,start_x:end_x)
+		     temp_att = f_att->$vNam(varn)$ 
+		     data_temp = temp(j,i,start_y:end_y,start_x:end_x)
+                     data(varn,j-start_time_step,i-1) = dim_avg_Wrap(dim_avg_Wrap(data_temp))
                   end do
                end do
@@ -1341,6 +1483,10 @@
                do i=0,dimz-1
                   do j=start_time_step,end_time_step
-                     temp= f->$vNam(varn)$(j,i,:,:)
-                     data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(temp(:,:)))
+                     temp= f[:]->$vNam(varn)$;(j,i,start_y:end_y,start_x:end_x)
+		     temp_att = f_att->$vNam(varn)$ 
+		     data_temp = temp(j,i,start_y:end_y,start_x:end_x)
+		     data_temp!0 = "t"
+		     data_temp!1 = "z"
+                     data(varn,j-start_time_step,i) = dim_avg_Wrap(dim_avg_Wrap(data_temp))
                   end do
                end do
@@ -1349,24 +1495,24 @@
             print("Variable '"+vNam(varn)+"' is read")
             print(" ")
-            unit(varn) = temp@units
-            a=getvaratts(temp)
+            unit(varn) = temp_att@units
+            a=getvardims(temp_att)
             b=dimsizes(a)
          end if
-    
+
          if (prof3d .EQ. 0) then
-            if (logy .EQ. 1) then
-               z = f->$vNam(varn+1)$(1:dimz-1) 
-               unit(varn) = temp@units
+            if (log_z .EQ. 1) then
+               z = f_att->$vNam(varn+1)$(1:dimz-1) 
+               unit(varn) = temp_att@units
                data(varn,:,:) = temp(start_time_step:end_time_step,1:dimz-1) 
             else
-               z = f->$vNam(varn+1)$ 
-               unit(varn) = temp@units
+               z = f_att->$vNam(varn+1)$ 
+               unit(varn) = temp_att@units
                data(varn,:,:) = temp(start_time_step:end_time_step,:) 
             end if
          else 
-            do i=0,b-1            
+            do i=0,b-1           
                if (isStrSubset( a(i),"zu_3d" ))then
                   z_v(varn,:) = z_u
-                  if (logy .EQ. 1) then
+                  if (log_z .EQ. 1) then
                      z = z_v(varn,1:dimz-1)
                   else
@@ -1376,5 +1522,5 @@
                   if (isStrSubset( a(i),"zw_3d" ))then
                      z_v(varn,:) = z_w
-                     if (logy .EQ. 1) then
+                     if (log_z .EQ. 1) then
                         z = z_v(varn,1:dimz-1)
                      else
@@ -1390,13 +1536,14 @@
          end if
          if (nof .EQ. 0) then
-            z_(n,:)=z/norm
+            z_(n,:)=z/norm_z
             z    = z_(n,:)
          else
-            z=z/norm
+            z=z/norm_z
          end if
     
          if (over .EQ. 0) then  
             res@gsnLeftString      = vNam(varn)
-            res@gsnRightString     = unit(varn)
+	    res@tiXAxisString      = "["+unit(varn)+"]"
+            res@gsnRightString     = " "
             res@trYMinF            = min_z
             res@trYMaxF            = max_z 
@@ -1422,5 +1569,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "                 
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniu
@@ -1444,5 +1592,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "                  
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniv
@@ -1466,5 +1615,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then
                      res@trXMinF            = miniw
@@ -1489,5 +1639,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minipt
@@ -1511,5 +1662,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minivpt
@@ -1533,5 +1685,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minilpt
@@ -1556,5 +1709,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minilq
@@ -1578,5 +1732,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minilqv
@@ -1600,5 +1755,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = miniql
@@ -1623,5 +1779,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minie
@@ -1645,5 +1802,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minies
@@ -1668,5 +1826,6 @@
                else
                   res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
                   if (xs .EQ. -1) then 
                      res@trXMinF            = minikm
